SDL_WriteU16LE(3)

NAME
SDL_WriteU16LE - Use this function to write 16 bits in native format to an SDL_IOStream
 as little-endian data.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_WriteU16LE(SDL_IOStream *dst, Uint16 value);

DESCRIPTION
SDL byteswaps the data only if necessary, so the application always specifies native format, and the data written will be in little-endian format.

FUNCTION PARAMETERS

dst the stream to which data will be written.

value
    the data to be written, in native format.

RETURN VALUE
Returns true on successful write or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.